import { ViewBase } from '../../libappbase/viewbase';
import { ButtonParametersContextMenuItem } from '../actionbarpages/abp.data';
import { AppMP } from '../appmp';
import { FormPeriod } from '../forms/form.period';

/**
 * Data > Parameters > Periods view.
 */
export class ViewPeriod extends ViewBase {
  public readonly name = 'Periods';
  public readonly viewPath = 'Data > Parameters > Periods';

  public frmPeriod = new FormPeriod();

  public async switchTo(): Promise<void> {
    const appMP = AppMP.getInstance();

    // wait until abp data is visible
    await appMP.abpData.isVisible();
    // Open data action bar page
    await appMP.abpData.click();
    // Click on period in parameter context menu
    await appMP.abpData.btnParameters.clickDropdownAndSelectMenu(ButtonParametersContextMenuItem.Periods);
    // Wait until form currency View is present
    await this.frmPeriod.waitUntilPresent();
  }
}
